Notice: We have migrated to GitLab launching 2024-05-01 see here: https://gitlab.rtems.org/

#3416 closed defect (fixed)

Update Ubuntu RSB Instructions for 17.10

Reported by: Joel Sherrill Owned by: Joel Sherrill <joel@…>
Priority: normal Milestone: 5.1
Component: tool Version: 5
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

The command in 3.1.5 of the RSB guide for Ubuntu seems to work for 17.10 but on at least one system gives the error:

Error :: You must put some 'source' URIs in your sources.list

A description of how to address this is at:

https://askubuntu.com/questions/496549/error-you-must-put-some-source-uris-in-your-sources-list

Perhaps this would be useful info to update the RSB guide with (updated Ubuntu works + hint)

Attachments (1)

0001-Update-list-of-required-packages-for-building-on-Ubu.patch (1.6 KB) - added by Marçal Comajoan Cara on 11/11/18 at 16:47:43.

Download all attachments as: .zip

Change History (6)

comment:1 Changed on 10/14/18 at 01:08:44 by Chris Johns

Owner: set to Chris Johns
Status: newaccepted

comment:2 Changed on 10/19/18 at 00:25:12 by Chris Johns

Owner: Chris Johns deleted
Status: acceptednew

I do not user Ubuntu. A user would be the best person to do this as they can test it.

comment:3 Changed on 11/11/18 at 16:47:06 by Marçal Comajoan Cara

I tried building RTEMS on Ubuntu 18.04 and it worked great with the packages installed by using only this command:

Error: Failed to load processor bash
No macro or processor named 'bash' found

This package list is based on the output of sb-check and error messages I got during the installation which I corrected installing the packages above.
This probably also works for Ubuntu 17.10 but 18.04 is more important because it's LTS while 17.10 not. Because of this, Ubuntu 17.10 is also unsupported since July 19, 2018.

I also think that the part which mentions Xubuntu (the Xfce Ubuntu flavour) is redundant because every official Ubuntu flavour has the same base packages (the packages that change from flavour to flavour are the desktop environment related ones like the file managers, graphical text editors, etc. but usually not development packages like the ones that are required to build RTEMS). The id in the link (https://docs.rtems.org/branches/master/user/hosts/posix.html#xubuntu <-), also should be ubuntu instead of xubuntu.

With the patch attached here I fixed and updated everything.

comment:4 Changed on 12/12/19 at 22:24:13 by Joel Sherrill

The documentation changes did not include information on "Error :: You must put some 'source' URIs in your sources.list" being reported. As this occurred on an Ubuntu version that was not
LTS, it is not being added. If this error occurs in the future on a LTS release, then add this information.

comment:5 Changed on 12/12/19 at 22:24:30 by Joel Sherrill <joel@…>

Owner: set to Joel Sherrill <joel@…>
Resolution: fixed
Status: newclosed

In [changeset:"9316722c2bac6e524f82274486d47cd61e5ab066/rtems-docs" 9316722/rtems-docs]:

user/hosts/posix.rst: Update Ubuntu instructions.

Note that the ticket has instructions for what to do if the
error message "Error :: You must put some 'source' URIs in your sources.list"
is reported. As this occurred on an Ubuntu version that was not
LTS, it is not being added. If this error occurs in the future on a
LTS release, then add this information.

closes #3416.

Note: See TracTickets for help on using tickets.